FreeMat

- Main Page
- Related Pages

vtkInteractorStyleRubberBandPick

Section: Visualization Toolkit Rendering Classes

# Usage

This interactor style allows the user to draw a rectangle in the render window by hitting 'r' and then using the left mouse button. When the mouse button is released, the attached picker operates on the pixel in the center of the selection rectangle. If the picker happens to be a vtkAreaPicker it will operate on the entire selection rectangle. When the 'p' key is hit the above pick operation occurs on a 1x1 rectangle. In other respects it behaves the same as its parent class.

To create an instance of class vtkInteractorStyleRubberBandPick, simply invoke its constructor as follows

      obj = vtkInteractorStyleRubberBandPick

# Methods

The class vtkInteractorStyleRubberBandPick has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkInteractorStyleRubberBandPick class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkInteractorStyleRubberBandPick = obj.NewInstance ()`
- `vtkInteractorStyleRubberBandPick = obj.SafeDownCast (vtkObject o)`
- `obj.StartSelect ()`
- `obj.OnMouseMove ()` - Event bindings
- `obj.OnLeftButtonDown ()` - Event bindings
- `obj.OnLeftButtonUp ()` - Event bindings
- `obj.OnChar ()` - Event bindings